Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 276841 - net-p2p/kmldonkey fails to build with gcc-4.4
Summary: net-p2p/kmldonkey fails to build with gcc-4.4
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.4
  Show dependency tree
 
Reported: 2009-07-06 22:33 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2009-08-14 08:34 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (kmldonkey-2.0.2-r1:20090706-200707.log,130.67 KB, text/plain)
2009-07-06 22:33 UTC, Diego Elio Pettenò (RETIRED)
Details
Patch for gcc-4.4 (add missing include) (kmldonkey-gcc-4.4.patch,202 bytes, patch)
2009-08-13 22:30 UTC, Martin Väth
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2009-07-06 22:33:12 UTC
As per summary, check attached build log.

And _please_ try not to fix it in the wrong way: http://blog.flameeyes.eu/2009/07/02/how-_not_-to-fix-gcc-4-4-bugs
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-07-06 22:33:39 UTC
Created attachment 196971 [details]
Build log
Comment 2 Martin Väth 2009-08-13 22:30:56 UTC
Created attachment 201181 [details, diff]
Patch for gcc-4.4 (add missing include)

The attached patch adds a missing #include. The package compiles and starts with this patch on x86. I have not tested any further.
Comment 3 Samuli Suominen gentoo-dev 2009-08-14 08:34:13 UTC
Fixed, thanks.